#ifndef	KAP_DBCREATOR_H
#define	KAP_DBCREATOR_H

#include <qdialog.h>
#include <qstring.h>
#include <kprocess.h>

class QProgressBar;
class QLabel;
class QPushButton;

class Kap_DBCreator : public QDialog
{
	Q_OBJECT;

public:
	Kap_DBCreator(QWidget *parent = 0, const char *name = 0);
	~Kap_DBCreator();

	void setPpdDirectory(const QString& dirname);
	void setDbFilename(const QString& dirname);

	virtual void show();
	QString& errorString();

protected:
	void resizeEvent(QResizeEvent*);
	void startProcess();

protected slots:
	void receivedStdout(KProcess*,char*,int);
	void receivedStderr(KProcess*,char*,int);
	void processExited(KProcess*);
	void cancelClicked();

private:
	QString	ppdDirname_;
	QString	dbFilename_;

	KShellProcess	process_;
	QProgressBar	*bar_;
	QLabel		*text_;
	QPushButton	*cancel_;
	bool		first_;
	QString	errorString_;
};

#endif
