#include "kap_moreinfopage.h"

#include <qlineedit.h>
#include <qlabel.h>

Kap_MoreInfoPage::Kap_MoreInfoPage(QWidget *parent, const char *name)
	: Kap_WizardPage(parent,name)
{
	n_ = 0;
	labellist_.setAutoDelete(true);
	editlist_.setAutoDelete(true);
}

Kap_MoreInfoPage::~Kap_MoreInfoPage()
{
}

void Kap_MoreInfoPage::resizeEvent(QResizeEvent*)
{
	if (n_ > 0)
	{
		int	h(editlist_.first()->sizeHint().height()), w((width()-10)/2);
		int	s((height()-n_*h)/(n_+1));
		for (int i=0;i<n_;i++)
		{
			labellist_.at(i)->setGeometry(5,5+(i+1)*s+i*h,w,h);
			editlist_.at(i)->setGeometry(5+w,5+(i+1)*s+i*h,w,h);
		}
	}
}

void Kap_MoreInfoPage::setNumberOfInfos(int n)
{
	n_ = n;
	labellist_.clear();
	editlist_.clear();
	for (int i=0;i<n_;i++)
	{
		labellist_.append(new QLabel("label",this));
		editlist_.append(new QLineEdit(this));
	}
	resizeEvent(0);
}

void Kap_MoreInfoPage::setLabel(int i, const char *txt)
{
	if (i >= 0 && i < n_) labellist_.at(i)->setText(txt);
}

void Kap_MoreInfoPage::setText(int i, const char *txt)
{
	if (i >= 0 && i < n_) editlist_.at(i)->setText(txt);
}

const char* Kap_MoreInfoPage::text(int i)
{
	if (i >= 0 && i < n_) return editlist_.at(i)->text();
	return 0;
}

const char* Kap_MoreInfoPage::label(int i)
{
	if (i >= 0 && i < n_) return labellist_.at(i)->text();
	return 0;
}
