
#include "kap_printerselector.h"
//#include "kups.h"

#include <qlistview.h>
#include <qheader.h>
#include <kapp.h>
#include <kiconloader.h>
#include <qlayout.h>

Kap_PrinterSelector::Kap_PrinterSelector(QWidget *parent, const char *name)
	: Kap_WizardPage(parent,name)
{
	printerlist_ = new QListView(this);
	printerlist_->addColumn("");
	printerlist_->header()->hide();
	printerlist_->setFrameStyle(QFrame::WinPanel|QFrame::Sunken);

	QHBoxLayout	*layout_ = new QHBoxLayout(this,5);
	layout_->addWidget(printerlist_,1);
	layout_->activate();
}

Kap_PrinterSelector::~Kap_PrinterSelector()
{
}

void Kap_PrinterSelector::addPrinter(const char *name)
{
	QListViewItem	*item = new QListViewItem(printerlist_,name);
	item->setPixmap(0, SmallIcon("kups_printer"));
}

void Kap_PrinterSelector::clearPrinters()
{
	printerlist_->clear();
}

const char* Kap_PrinterSelector::getPrinter()
{
	QListViewItem	*item = printerlist_->currentItem();
	if (item)
		return item->text(0);
	else
		return 0;
}
