/***************************************************************************
                          kjob.h  -  description
                             -------------------
    begin                : Thu Oct 28 1999
    copyright            : (C) 1999 by jec
    email                : cuendet@linkvest.ch
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KJOB_H
#define KJOB_H


#include <cups/cups.h>
#include <cups/ipp.h>

#include "kobject.h"
#include <qstring.h>



/**
  *@author jec
  */


class KPrinter;
class KJobHelper;
class QString;

class KJob : public KObject
{
	Q_OBJECT
public:
	enum Command { Remove, RemoveAll, Hold, Release, Move, Restart };
	
	KJob();
	KJob(const KJob& other);
	virtual ~KJob();
	
  void copy(const KJob *other);
//  virtual KJob& copy(const KJob& other);

  virtual bool sendCommand(Command com);
  virtual bool sendCommand(Command command, KPrinter *printer);

	void setAttribute(ipp_attribute_t* attr);

  int getID() { return id_; };
  void setID(int id) { id_ = id; };
  const QString& getName() { return name_;} ;
  void setName(const QString& name) { name_ = name; };
  KPrinter* getPrinter() { return owner_; };
  void setPrinter(KPrinter* p) { owner_ = p; };
	int getSize() { return size_; };
	void setSize(int s) { size_ = s; };
	const QString& getUserName() { return userName_; }
	void setUserName(const QString& s) { userName_ = s; };
	ipp_jstate_t getState() { return state_;};
	void setState(ipp_jstate_t s) { state_ = s;};
	const QString& getUri() { return uri_; };
	void setUri(const QString& uri) { uri_ = uri; };

protected:
  virtual bool sendRemove();
  virtual bool sendRemoveAll();

private:
	int id_;
	QString name_;
	KPrinter* owner_;
	int size_;
	QString userName_;
	ipp_jstate_t state_;
	QString uri_;

	KJobHelper* helper_;
};

#endif
