/***************************************************************************
                          kprinterdescription.h  -  description
                             -------------------
    begin                : Tue Feb 8 2000
    copyright            : (C) 2000 by jec
    email                : cuendet@linkvest.ch
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KPRINTERDESCRIPTION_H
#define KPRINTERDESCRIPTION_H


#include <qobject.h>

#include "kprintermanager.h"


/**
  *@author jec
  */

class QString;
class Kap_ModelItem;
class QStrList;
class KBuffer;
class KPrinter;

class KPrinterDescription
{
public:
	KPrinterDescription();
	~KPrinterDescription();

	static KPrinterDescription* get();
	static void release();

	void setType(KPrinterManager::e_AddType type);
	KPrinterManager::e_AddType getType();

	const QString& getDeviceUri();

	const QString& getName();
	const QString& getPPD();
	const QString& getParport();
	int getParportNumber();
	const QString& getLocation();
	const QString& getDescription();
	QStrList* getPrintersList();
	const QString& getManufacturer();
	const QString& getModel();
	Kap_ModelItem* getPrinterValues();
	const QString& getUser();
	const QString& getPassword();
	const QString& getSMBWorkgroup();
	const QString& getSMBServer();
	const QString& getSMBPrinterName();
	const QString& getSocketPrinter();
	const QString& getURI();	// the uri set with "setURI()"
	const QString& getNickName();
	const QString& getShortNickName();
	int getSocketPort();
	bool isPnp();
	const QString& getStartBanner();
	const QString& getEndBanner();
	const QStringList& getSupportedBanners();

	KBuffer* getBuffer();
	void setBuffer(KBuffer* b);

	void setName(const QString& s);
	void setPPD(const QString& s);
	void setParportNumber(int pp);
	void setLocation(const QString& s);
	void setDescription(const QString& s);
	void setPrintersList(QStrList* list);
	void setManufacturer(const QString& str);
	void setModel(const QString& str);
	void setPrinterValues(Kap_ModelItem* values);
	void setLoginInfo(const QString& user, const QString& passwd);
	void setSMBInfo(const QString& work, const QString& server, const QString& printer);
	void setLpdServer(const QString& host);
	void setLpdQueue(const QString& queue);
	void setSocketInfo(const QString& host, int port);
	void setURI(const QString& uri);
	void setNickName(const QString& name);
	void setShortNickName(const QString& name);
	void setPnp(bool on);
	void setSupportedBanners(const QStringList& banners);
	void setStartBanner(const QString& banner);
	void setEndBanner(const QString& banner);

	QString getDescriptionString();
	void reset();

private:
	KPrinterManager::e_AddType type_;

	int parportNumber_;
	QString manufacturer_;
	QString model_;

	QString name_;
	QString location_;
	QString ppd_;
	QString description_;

	QString	user_;
	QString	passwd_;

	// SMB only informations
	QString	server_;
	QString	workgroup_;
	QString	printername_;

	QStrList* printersList_;

	QString	uri_;
	QString	nickname_;
	QString	shortnickname_;

	Kap_ModelItem* printerValues_;
	bool	pnp_;

	KBuffer* buffer_;

	QStringList	supportedbanners_;
	QString		startbanner_;
	QString		endbanner_;

	static KPrinterDescription* unique_;

	void cleanUp();
};

#endif
