/***************************************************************************
                          kups_helper.h  -  description
                             -------------------
    begin                : Mon Nov 29 1999
    copyright            : (C) 1999 by jec
    email                : cuendktraet@linkvest.ch
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KUPS_HELPER_H
#define KUPS_HELPER_H

#include <cups/cups.h>


#include "kprinter.h"
#include <qstring.h>


/**
  *@author jec
  */



class KPrinter;
class Kups_IppRequest;

class Kups_Helper : public QObject
{
	Q_OBJECT
	
public: 
	Kups_Helper();
	virtual ~Kups_Helper();
	
	static bool getErrorString(Kups_IppRequest* req, KPrinter* p, QString& str);
	static bool getErrorString(ipp_status_t error, KPrinter* p, QString& str);
	
	virtual bool setAttribute(KPrinter* printer, ipp_attribute_t* attr);
	
	virtual bool sendCommand(KPrinter* printer, KPrinter::Command command);
	virtual bool sendCommand(KPrinter* printer, KPrinter::Command command, KPrinter* other);
	
	virtual bool printFile(KPrinter* printer, const QString& pageName);
	virtual bool printBuffer(KPrinter* printer, const KBuffer& pageBuffer);

	virtual bool removeFromClass(KPrinter* printer, KPrinter* other);
	virtual bool addToClass(KPrinter* printer, KPrinter* other);
  virtual bool setAsDefault(KPrinter* printer);
  virtual bool setState(KPrinter* printer, ipp_op_t state);
	virtual bool remove(KPrinter* p);
	
};

#endif
