/***************************************************************************
                          kups_infos.h  -  description
                             -------------------
    begin                : Sun Nov 28 1999
    copyright            : (C) 1999 by jec
    email                : cuendet@linkvest.ch
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KUPS_INFOS_H
#define KUPS_INFOS_H


/**
  *@author jec
  */



#include <qobject.h>

#include <qstring.h>


class Kups_Infos : public QObject
{
	Q_OBJECT
	
public: 
	Kups_Infos();
	~Kups_Infos();
	
	 static Kups_Infos* get() { return infos_; };
	
	 QString getServerPortIppUri();
	
	 const QString& getServer();
	 void setServer(const QString& server);
	
	 int getPort();
	 void setPort(int port);
	
	 const QString& getUser();
	 void setUser(const QString& user);
	
	 const QString& getPassword();
	 void setPassword(const QString& pwd);
	
	 const QString& getConfigFile();
	 void setConfigFile(const QString& conf);
	
	 const QString& getTestPage();
	 void setTestPage(const QString& pwd);
	
	 int getRefreshTime();
	 void setRefreshTime(int t);

	 bool isTimerEnabled();
	 void setTimerEnabled(bool on);

	 bool isStandardCUPS();
	 void setStandardCUPS(bool on);

	 const QString& getCUPSRoot();
	 void setCUPSRoot(const QString& conf);

	 const QString& getDriversDir();
	 void setDriversDir(const QString& conf);

private:
	 QString server_;
	 int port_;
	 QString user_;
	 QString password_;
	 QString config_;
	 QString drivers_;
	 QString cupsroot_;
	 bool standardcups_;
	 QString testPage_;
	 int refreshTime_;
	 bool usetimer_;
	
	 static Kups_Infos* infos_;
};

#endif











