/***************************************************************************
                          kups_optionsdialog.h  -  description
                             -------------------
    begin                : Sun Feb 13 2000
    copyright            : (C) 2000 by jec
    email                : cuendet@linkvest.ch
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KUPS_OPTIONSDIALOG_H
#define KUPS_OPTIONSDIALOG_H

#include <qwidget.h>
#include <qdialog.h>

/**
  *@author jec
  */


class QLineEdit;
class QGroupBox;
//class QVBoxLayout;
//class QGridLayout;
class QPushButton;
//class QHBoxLayout;
class QSlider;
class QLCDNumber;
class Kups_Infos;

class Kups_OptionsDialog : public QDialog
{
   Q_OBJECT
public: 
	Kups_OptionsDialog(QWidget *parent=0, const char *name=0);
	~Kups_OptionsDialog();

protected:
	void makeConnections();
	void initWidgets();
		
protected slots:
	void slotUserEdit();
	void slotPwdEdit();
	void slotServerEdit();
	void slotPortEdit();
	
	void slotRefreshSlider(int value);
	
	void slotTestPageEdit();
	void slotBrowseButton();
	void slotBrowseConfigButton();

	void slotOkButton();
	void slotCancelButton();
	
private:
//	QVBoxLayout* mainLayout_;
	
	QGroupBox* userGroupBox_;
	QLineEdit* userEdit_;
	QLineEdit* pwdEdit_;
	QLineEdit* serverEdit_;
	QLineEdit* portEdit_;
	QLineEdit* configEdit_;
	QPushButton* browseConfigButton_;
//	QGridLayout* userLayout_;
	
//	QGridLayout* refLayout_;
	QSlider* refreshTimeSlider_;
	QLCDNumber* refreshTimeLcd_;
	
//	QGridLayout* testPageLayout_;
	QLineEdit* testPageEdit_;
	QPushButton* browseButton_;

//	QGridLayout* buttonsLayout_;	
	QPushButton* okButton_;
	QPushButton* cancelButton_;
	
	Kups_Infos* infos_;
};

#endif
