#ifndef	QINPUTBOX_H
#define	QINPUTBOX_H

#include <qdialog.h>
#include <qstring.h>
#include <qlist.h>

class QLineEdit;
class QLabel;
class QPushButton;

class QInputBox : public QDialog
{
public:
	QInputBox(QWidget *parent = 0, const char *name = 0);
	QInputBox(int numlines, QWidget *parent = 0, const char *name = 0);
	~QInputBox();

	void setMessage(const QString& msg, int index = 0);
	QString text(int index = 0);
	void setText(const QString& txt, int index = 0);

	static QStringList inputBox(QWidget *parent, const QString& caption, const QStringList& msgs, int numlines = 1, bool *ok = 0);
	static QString inputBox(QWidget *parent, const QString& caption, const QString& msg, const QString& txt = QString::null, bool *ok = 0);

	QSize sizeHint() const;

protected:
	void init(int numlines);

private:
	QList<QLineEdit>	edits_;
	QList<QLabel>		labels_;
	int			count_;
	bool			initialized_;
	QPushButton	*okbtn_, *cancelbtn_;
};

#endif
